Apache2 [SOLVED]: Can't install phpMyAdmin on CentOS 7 via shell

Apache2 [SOLVED]: Can't install phpMyAdmin on CentOS 7 via shell

Home Forums Apache2 Apache2 [SOLVED]: Can't install phpMyAdmin on CentOS 7 via shell

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #36523

    Anonymous

    QuestionQuestion

    yum -y install phpmyadmin
    

    Occurs error:

    Error: Package: phpMyAdmin-4.4.15.10-2.el7.noarch (epel)
           Requires: php-zip
           Available: php-common-5.4.16-42.el7.x86_64 (base)
               php-zip
           Available: php-common-5.4.16-43.el7_4.x86_64 (updates)
               php-zip
           Available: php-pecl-zip-1.15.1-2.el7.remi.7.2.x86_64 (remi-php72)
               php-zip = 1:1.15.1-2.el7.remi.7.2
           Available: php-pecl-zip-1.15.2-1.el7.remi.7.2.x86_64 (remi-php72)
               php-zip = 1:1.15.2-1.el7.remi.7.2
           Available: php55w-common-5.5.38-1.w7.x86_64 (webtatic)
               php-zip
           Available: php56w-common-5.6.31-1.w7.x86_64 (webtatic)
               php-zip
           Available: php56w-common-5.6.31-2.w7.x86_64 (webtatic)
               php-zip
           Available: php56w-common-5.6.32-1.w7.x86_64 (webtatic)
               php-zip
           Available: php70w-common-7.0.22-2.w7.x86_64 (webtatic)
               php-zip
           Available: php70w-common-7.0.23-1.w7.x86_64 (webtatic)
               php-zip
           Available: php70w-common-7.0.23-2.w7.x86_64 (webtatic)
               php-zip
           Available: php70w-common-7.0.24-1.w7.x86_64 (webtatic)
               php-zip
           Available: php70w-common-7.0.25-1.w7.x86_64 (webtatic)
               php-zip
           Available: php71w-common-7.1.8-2.w7.x86_64 (webtatic)
               php-zip
           Available: php71w-common-7.1.9-1.w7.x86_64 (webtatic)
               php-zip
           Available: php71w-common-7.1.9-2.w7.x86_64 (webtatic)
               php-zip
           Available: php71w-common-7.1.10-1.w7.x86_64 (webtatic)
               php-zip
           Available: php71w-common-7.1.11-1.w7.x86_64 (webtatic)
               php-zip
           Installed: php-common-7.2.0-2.el7.remi.x86_64 (@remi-php72)
               Not found
           Available: php-common-7.2.0~RC6-1.el7.remi.x86_64 (remi-php72)
               Not found
     You could try using --skip-broken to work around the problem
     You could try running: rpm -Va --nofiles --nodigest
    

    I’m lamer at setting up a LAMP server, but looks like the problem is in different modules. Any problem solutions or suggestions?

    How I have installed php 7.2:

    yum-config-manager --enable remi-php72
    yum -y install php php-mysql php-gd php-ldap php-odbc php-pear php-xml php-xmlrpc php-mbstring php-snmp php-soap curl curl-devel php-mcrypt php-pecl-ap
    

    P.S OS is CentOS 7

    #36524

    Anonymous

    Accepted AnswerAnswer

    php-pecl-zip-1.15.2-1.el7.remi.7.2.x86_64 is the right extension.

    I recommend you disable webtatic which raise conflicts.
    Try to install php-pecl-zip first

    I also recommend with recent php version to install phpMyAdmin from “remi” repository which is much more recent (4.7) than EPEL version (4.4).

    yum-config-manager --disable webtatic
    yum install php-pecl-zip
    yum --enablerepo=remi install phpMyAdmin
    

    Source: https://stackoverflow.com/questions/47952447/cant-install-phpmyadmin-on-centos-7-via-shell
    Author: Remi Collet
    Creative Commons License
    This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.